View Issue Details

IDProjectCategoryView StatusLast Update
0003924SymmetricDSImprovementpublic2019-05-08 10:56
Reporterjosh-a-hicksAssigned Tojosh-a-hicks 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.10.0 
Target Version3.10.2Fixed in Version3.10.2 
Summary0003924: When load configured to clear table first, it should clear table again when restarting load
DescriptionSome of the SymmetricDS bulk loaders require that the target tables are empty in order to perform the bulk load operation. If SymmetricDS is restarted in the middle of a load the table it was working on will restart the extract, transfer, and load process over again. This causes an issue though if the table was partially loaded before the restart. The enhancement is to check to see if the reload request also issued any actions prior to loading data (truncate, delete, etc). If there were batches already sent to perform these before data load actions they will be removed from the incoming side and resent. This allows the table to be cleared of data on the target again before loading data.

Tagsinitial/partial load

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.10 f2c79f53

2019-04-24 10:16:53

josh-a-hicks

Details Diff
0003924: Initial load support for bulk loaders when a restart of
SymmetricDS occurs when partial data has been loaded

0003924
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IOutgoingBatchService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/OutgoingBatchService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/OutgoingBatchServiceSqlMap.java Diff File

Issue History

Date Modified Username Field Change
2019-04-24 10:16 josh-a-hicks New Issue
2019-04-24 10:16 josh-a-hicks Status new => assigned
2019-04-24 10:16 josh-a-hicks Assigned To => josh-a-hicks
2019-04-24 11:00 josh-a-hicks Changeset attached => SymmetricDS 3.10 f2c79f53
2019-04-26 08:41 elong Summary Initial load support for bulk loaders when a restart of SymmetricDS occurs when partial data has been loaded => When load configured to clear table first, it should clear table again when restarting load
2019-04-26 08:41 elong Tag Attached: initial/partial load
2019-05-08 09:23 josh-a-hicks Status assigned => resolved
2019-05-08 09:23 josh-a-hicks Resolution open => fixed
2019-05-08 09:23 josh-a-hicks Fixed in Version => 3.10.2
2019-05-08 10:56 admin Status resolved => closed